> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax estimates

> Get a summary of a user's tax obligations; also useful for displaying a real-time P&L



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/taxes/taxEstimates
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/taxes/taxEstimates:
    post:
      tags:
        - Tax Estimates
      summary: Get tax estimates
      description: >-
        Get a summary of a user's tax obligations; also useful for displaying a
        real-time P&L
      operationId: getTaxEstimates
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaxEstimateParams'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseTaxEstimateGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    TaxEstimateParams:
      required:
        - period
      type: object
      properties:
        period:
          type: string
          description: The period to receive summarized tax data for
          example: YTD
          enum:
            - ANNUAL_PROJECTED
            - YTD
            - LAST_YEAR
        taxSetup:
          $ref: '#/components/schemas/TaxSetupPostDto'
    SuccessResponseTaxEstimateGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/TaxEstimateGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    TaxSetupPostDto:
      type: object
      properties:
        countryCode:
          type: string
          description: ISO 3166-1 alpha-3 country code
          nullable: false
          example: USA
        state:
          type: string
          description: >-
            Two-character state/province abbreviation for which tax needs to be
            calculated
          nullable: false
          example: DC
        filingStatus:
          $ref: '#/components/schemas/FilingStatusSetup'
        annualW2Income:
          type: integer
          description: Annual W-2 income total, in cents
          format: int32
          nullable: false
          example: 1000000
        withholding:
          $ref: '#/components/schemas/Withholding'
        numExemptions:
          type: integer
          description: Number of state personal exemptions the tax filer qualifies for
          format: int32
          nullable: false
          example: 1
        tipIncome:
          type: integer
          description: Year-to-date W-2 income from tips, in cents
          format: int32
          nullable: false
          example: 500000
        overtimeIncome:
          type: integer
          description: Year-to-date W-2 income from overtime, in cents
          format: int32
          nullable: false
          example: 300000
        homeOffice:
          $ref: '#/components/schemas/HomeOffice'
        mileage:
          $ref: '#/components/schemas/Mileage'
        expenses:
          $ref: '#/components/schemas/Expenses'
        income:
          $ref: '#/components/schemas/Income'
        isSetupComplete:
          type: boolean
          description: Whether the user's tax profile is complete
          nullable: false
      description: Override of the user's tax profile for the estimate calculation
      nullable: true
    TaxEstimateGetDto:
      required:
        - adjustedGrossIncome
        - afterTaxIncome
        - annualPaymentDueDate
        - businessIncome
        - country
        - deductibleExpenses
        - deductibleMileageExpenses
        - deductibleNonMileageExpenses
        - expenses
        - federalFilingStatus
        - federalTax
        - federalTaxUnpaid
        - homeOfficeDeduction
        - otherIncome
        - overallTax
        - overallTaxSavings
        - overallTaxUnpaid
        - quarterlyEstimates
        - selfEmploymentDeduction
        - state
        - stateFilingStatus
        - stateTax
        - stateTaxUnpaid
        - w2Income
        - year
      type: object
      properties:
        country:
          type: string
          description: ISO 3166-1 alpha-3 country code
          example: USA
        state:
          type: string
          description: Two-character state/province abbreviation
          nullable: true
          example: DC
        year:
          type: integer
          description: Tax year for the calculation
          format: int32
          example: 2025
        federalFilingStatus:
          type: string
          description: Federal tax filing status code
          example: S
          enum:
            - S
            - M
            - MS
            - H
            - QW
        stateFilingStatus:
          type: string
          description: State tax filing status code
          example: S
          enum:
            - S
            - M
            - MS
            - H
            - QW
        w2Income:
          type: integer
          description: Year-to-date W-2 income total, in cents
          format: int32
        businessIncome:
          type: integer
          description: Year-to-date business income, in cents
          format: int32
        expenses:
          type: integer
          description: >-
            Year-to-date actual expense total (deductible and non-deductible),
            in cents
          format: int32
        deductibleExpenses:
          type: integer
          description: Year-to-date deductible expense total, in cents
          format: int32
        deductibleMileageExpenses:
          type: integer
          description: Year-to-date deductible mileage expense total, in cents
          format: int32
        deductibleNonMileageExpenses:
          type: integer
          description: Year-to-date non-mileage deductible expenses, in cents
          format: int32
        homeOfficeDeduction:
          type: integer
          description: Home office deduction amount, in cents
          format: int32
        selfEmploymentDeduction:
          type: integer
          description: Self-employment deduction amount, in cents
          format: int32
        adjustedGrossIncome:
          type: integer
          description: Adjusted gross income, in cents
          format: int32
        overallTax:
          type: integer
          description: Overall tax amount, in cents
          format: int32
        overallTaxSavings:
          type: integer
          description: Amount saved by tracking expenses, in cents
          format: int32
        overallTaxUnpaid:
          type: integer
          description: Remaining overall tax to be paid, in cents
          format: int32
        federalTaxUnpaid:
          type: integer
          description: Remaining federal tax to be paid, in cents
          format: int32
        stateTaxUnpaid:
          type: integer
          description: Remaining state tax to be paid, in cents
          format: int32
        annualPaymentDueDate:
          type: string
          description: Yearly due date for tax season
          format: date
          nullable: true
        afterTaxIncome:
          type: integer
          description: Income remaining after tax collected, in cents
          format: int32
        otherIncome:
          type: integer
          description: Total taxable income from other sources, in cents
          format: int32
        federalTax:
          $ref: '#/components/schemas/FederalTax'
        stateTax:
          $ref: '#/components/schemas/StateTax'
        quarterlyEstimates:
          $ref: '#/components/schemas/QuarterlyEstimates'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    FilingStatusSetup:
      type: object
      properties:
        federal:
          type: string
          description: Federal tax filing status
          example: SINGLE
          enum:
            - SINGLE
            - MARRIED
            - MARRIED_SEPARATELY
            - HEAD
            - WIDOWER
        state:
          type: string
          description: State tax filing status
          example: SINGLE
          enum:
            - SINGLE
            - MARRIED
            - MARRIED_SEPARATELY
            - HEAD
            - WIDOWER
      description: Federal and state filing status
      nullable: false
    Withholding:
      type: object
      properties:
        useWithholding:
          type: boolean
          description: >-
            Set to true if the user wants to specify their own W-2 withholding
            amounts
          example: true
        federalWithholding:
          type: integer
          description: Federal W-2 withholding amount, in cents
          format: int32
          example: 100051
        stateWithholding:
          type: integer
          description: State W-2 withholding amount, in cents
          format: int32
          example: 100051
      description: W-2 withholding configuration
      nullable: false
    HomeOffice:
      type: object
      properties:
        useHomeOfficeDeduction:
          type: boolean
          description: >-
            Set to true if the user wants to use the simplified home office
            deduction
          example: true
        homeOfficeArea:
          type: number
          description: >-
            Size of home office in square feet; required if using the simplified
            home office deduction
          example: 250.5
      description: Home office deduction configuration
      nullable: false
    Mileage:
      type: object
      properties:
        useEstimate:
          type: boolean
          description: >-
            Set to true if the user wants to use their own annual business
            mileage estimate
        estimate:
          type: integer
          description: >-
            Annual business mileage estimate in miles; required if using
            user-estimated business mileage
          format: int32
          example: 1000
        useMileageDeduction:
          type: boolean
          description: >-
            Set to true if the user will use the standard mileage rate (vs
            actual auto expenses)
          example: false
        vehicleBusinessPercent:
          type: string
          description: Business vehicle use percentage for Canadian users
          example: '49.9'
      description: Business mileage configuration
      nullable: false
    Expenses:
      type: object
      properties:
        useEstimate:
          type: boolean
          description: >-
            Set to true if the user wants to use their own annual business
            expenses estimate
        estimate:
          type: integer
          description: >-
            Annual business expenses estimate, in cents; required if using
            user-estimated business expenses
          format: int32
          example: 55176
      description: Business expenses estimate configuration
      nullable: false
    Income:
      type: object
      properties:
        useEstimate:
          type: boolean
          description: >-
            Set to true if the user wants to use their own annual business
            income estimate
        estimate:
          type: integer
          description: >-
            Annual business income estimate, in cents; required if using
            user-estimated business income
          format: int32
          example: 55176
      description: Business income estimate configuration
      nullable: false
    FederalTax:
      required:
        - adjustedGrossIncome
        - alternativeMinimumTax
        - businessIncomeDeduction
        - businessIncomeDeductionEffectiveRate
        - businessMarginalTaxRate
        - dependentTaxCredit
        - effectiveTaxRate
        - effectiveTaxRateBeforeWithholding
        - employmentTax
        - federalDeduction
        - federalEffectiveTaxRate
        - federalTaxAmount
        - medicareSurtax
        - qualifiedOvertimeDeduction
        - qualifiedTipDeduction
        - selfEmploymentTax
        - taxAmount
        - taxAmountWithoutTaxCredit
        - taxBeforeWithholding
        - taxableIncome
        - totalTaxCredit
        - totalTaxCreditAppliedToTax
        - w2MarginalTaxRate
        - withholdingAppliedToTax
      type: object
      properties:
        w2MarginalTaxRate:
          type: string
          description: Marginal tax rate for W-2 income
          example: '11.67'
        businessMarginalTaxRate:
          type: string
          description: Marginal tax rate for self-employed income
          example: '11.67'
        adjustedGrossIncome:
          type: integer
          description: Adjusted gross income, in cents
          format: int32
        businessIncomeDeduction:
          type: integer
          description: Deduction amount applied to business income, in cents
          format: int32
        businessIncomeDeductionEffectiveRate:
          type: string
          description: Effective rate of deduction on business income
          example: '11.67'
        federalDeduction:
          type: integer
          description: Deduction amount applied to federal taxes, in cents
          format: int32
        qualifiedTipDeduction:
          type: integer
          description: Qualified tip deduction, in cents
          format: int32
        qualifiedOvertimeDeduction:
          type: integer
          description: Qualified overtime deduction, in cents
          format: int32
        taxableIncome:
          type: integer
          description: Federal taxable income, in cents
          format: int32
        federalEffectiveTaxRate:
          type: string
          description: Effective tax rate on federal taxable income
          example: '11.67'
        federalTaxAmount:
          type: integer
          description: Tax on federal taxable income, in cents
          format: int32
        medicareSurtax:
          $ref: '#/components/schemas/MedicareSurtax'
        selfEmploymentTax:
          $ref: '#/components/schemas/SelfEmploymentTax'
        alternativeMinimumTax:
          type: integer
          description: Alternative minimum tax, in cents
          format: int32
        taxAmountWithoutTaxCredit:
          type: integer
          description: Federal tax prior to credits, in cents
          format: int32
        dependentTaxCredit:
          type: integer
          description: Total federal dependent tax credits, in cents
          format: int32
        totalTaxCredit:
          type: integer
          description: Total federal tax credits, in cents
          format: int32
        totalTaxCreditAppliedToTax:
          type: integer
          description: Total federal tax credits applied, in cents
          format: int32
        taxBeforeWithholding:
          type: integer
          description: Total federal taxes due before withholding, in cents
          format: int32
        effectiveTaxRateBeforeWithholding:
          type: string
          description: Effective rate before withholding (includes Medicare/SS)
          example: '11.67'
        withholdingAppliedToTax:
          type: integer
          description: Withholding amount applied, in cents
          format: int32
        taxAmount:
          type: integer
          description: Total federal taxes due, in cents
          format: int32
        effectiveTaxRate:
          type: string
          description: Effective rate on all federal taxes (includes Medicare/SS)
          example: '11.67'
        employmentTax:
          $ref: '#/components/schemas/EmploymentTax'
      description: Detailed federal tax breakdown
    StateTax:
      required:
        - adjustedGrossIncome
        - businessMarginalTaxRate
        - effectiveTaxRate
        - effectiveTaxRateBeforeWithholding
        - preCreditEffectiveTaxRate
        - stateDeduction
        - taxAmount
        - taxAmountWithoutTaxCredit
        - taxBeforeWithholding
        - taxableIncome
        - totalTaxCredit
        - totalTaxCreditAppliedToTax
        - w2MarginalTaxRate
        - withholdingAppliedToTax
      type: object
      properties:
        w2MarginalTaxRate:
          type: string
          description: Marginal tax rate for W-2 income
          example: '11.67'
        businessMarginalTaxRate:
          type: string
          description: Marginal tax rate for self-employed income
          example: '11.67'
        adjustedGrossIncome:
          type: integer
          description: Adjusted gross income, in cents
          format: int32
        stateDeduction:
          type: integer
          description: Deduction amount applied to state taxes, in cents
          format: int32
        taxableIncome:
          type: integer
          description: State taxable income, in cents
          format: int32
        preCreditEffectiveTaxRate:
          type: string
          description: Effective tax rate before credits
          example: '11.67'
        taxAmountWithoutTaxCredit:
          type: integer
          description: State tax prior to credits, in cents
          format: int32
        totalTaxCredit:
          type: integer
          description: Total state tax credits, in cents
          format: int32
        totalTaxCreditAppliedToTax:
          type: integer
          description: Total state tax credits applied, in cents
          format: int32
        taxBeforeWithholding:
          type: integer
          description: State taxes due before withholding, in cents
          format: int32
        effectiveTaxRateBeforeWithholding:
          type: string
          description: Effective rate before withholding
          example: '11.67'
        withholdingAppliedToTax:
          type: integer
          description: Withholding amount applied, in cents
          format: int32
        taxAmount:
          type: integer
          description: Total state taxes due, in cents
          format: int32
        effectiveTaxRate:
          type: string
          description: Effective rate on state taxes
          example: '11.67'
      description: State tax breakdown
      nullable: true
    QuarterlyEstimates:
      required:
        - q1
        - q2
        - q3
        - q4
      type: object
      properties:
        q1:
          $ref: '#/components/schemas/QuarterlyTax'
        q2:
          $ref: '#/components/schemas/QuarterlyTax'
        q3:
          $ref: '#/components/schemas/QuarterlyTax'
        q4:
          $ref: '#/components/schemas/QuarterlyTax'
      description: Quarterly estimated tax payment breakdown
    MedicareSurtax:
      required:
        - earnedIncomeMedicareSurtax
        - investmentIncomeMedicareSurtax
      type: object
      properties:
        investmentIncomeMedicareSurtax:
          type: integer
          description: Additional Medicare tax on investment income, in cents
          format: int32
        earnedIncomeMedicareSurtax:
          type: integer
          description: Additional Medicare tax on earned income, in cents
          format: int32
      description: Additional Medicare tax breakdown
    SelfEmploymentTax:
      required:
        - medicareEffectiveTaxRate
        - medicareTax
        - medicareTaxableIncome
        - socialSecurityEffectiveTaxRate
        - socialSecurityTax
        - socialSecurityTaxableIncome
        - taxAmount
      type: object
      properties:
        socialSecurityTaxableIncome:
          type: integer
          description: Taxable income for Social Security, in cents
          format: int32
        socialSecurityEffectiveTaxRate:
          type: string
          description: Social Security effective tax rate
          example: '11.67'
        socialSecurityTax:
          type: integer
          description: Social Security tax on self-employment income, in cents
          format: int32
        medicareTaxableIncome:
          type: integer
          description: Taxable income for Medicare, in cents
          format: int32
        medicareEffectiveTaxRate:
          type: string
          description: Medicare effective tax rate
          example: '11.67'
        medicareTax:
          type: integer
          description: Medicare tax on self-employment income, in cents
          format: int32
        taxAmount:
          type: integer
          description: Overall self-employment tax amount, in cents
          format: int32
      description: Self-employment tax breakdown
    EmploymentTax:
      required:
        - medicareEffectiveTaxRate
        - medicareTax
        - medicareTaxableIncome
        - socialSecurityEffectiveTaxRate
        - socialSecurityTax
        - socialSecurityTaxableIncome
        - taxAmount
      type: object
      properties:
        socialSecurityTaxableIncome:
          type: integer
          description: Taxable income for Social Security, in cents
          format: int32
        socialSecurityEffectiveTaxRate:
          type: string
          description: Social Security effective tax rate
          example: '11.67'
        socialSecurityTax:
          type: integer
          description: Social Security tax paid by employer, in cents
          format: int32
        medicareTaxableIncome:
          type: integer
          description: Taxable income for Medicare, in cents
          format: int32
        medicareEffectiveTaxRate:
          type: string
          description: Medicare effective tax rate
          example: '11.67'
        medicareTax:
          type: integer
          description: Medicare tax paid by employer, in cents
          format: int32
        taxAmount:
          type: integer
          description: Overall employment tax amount, in cents
          format: int32
      description: Employment tax breakdown
    QuarterlyTax:
      required:
        - dueDate
        - federalTax
        - stateTax
      type: object
      properties:
        dueDate:
          type: string
          description: Due date for the quarter's tax payment
          format: date
        federalTax:
          $ref: '#/components/schemas/TaxDetail'
        stateTax:
          $ref: '#/components/schemas/TaxDetail'
      description: Q4 estimated tax details
    TaxDetail:
      required:
        - paymentsAllocatedFromPast
        - paymentsBalance
        - paymentsRolledOverToFuture
        - taxOwed
        - taxPaid
      type: object
      properties:
        taxOwed:
          type: integer
          description: Tax amount owed before payments, in cents
          format: int32
        taxPaid:
          type: integer
          description: Tax amount paid, in cents
          format: int32
        paymentsAllocatedFromPast:
          type: integer
          description: Payment rolled over from past quarters, in cents
          format: int32
        paymentsRolledOverToFuture:
          type: boolean
          description: Whether payments roll over to future quarters
        paymentsBalance:
          type: integer
          description: Remaining tax amount owed, in cents
          format: int32
      description: State tax detail for this quarter
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````